- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QProxyScreen Class Reference

Search for all occurrences

## Detailed Description

Definition at line 84 of file qscreenproxy_qws.h.

`#include <qscreenproxy_qws.h>`

Inheritance diagram for QProxyScreen:
[legend]

List of all members.

## Public Member Functions
| QProxyScreen (int display_id, ClassId=ProxyClass)
| ~QProxyScreen ()
void | setScreen (QScreen *screen)
QScreen * | screen () const
QSize | mapToDevice (const QSize &s) const
QSize | mapFromDevice (const QSize &s) const
QPoint | mapToDevice (const QPoint &, const QSize &) const
QPoint | mapFromDevice (const QPoint &, const QSize &) const
QRect | mapToDevice (const QRect &, const QSize &) const
QRect | mapFromDevice (const QRect &, const QSize &) const
QRegion | mapToDevice (const QRegion &, const QSize &) const
QRegion | mapFromDevice (const QRegion &, const QSize &) const
bool | connect (const QString &displaySpec)
bool | initDevice ()
void | shutdownDevice ()
void | disconnect ()
void | setMode (int width, int height, int depth)
bool | supportsDepth (int) const
void | save ()
void | restore ()
void | blank (bool on)
bool | onCard (const unsigned char *) const
bool | onCard (const unsigned char *, ulong &out_offset) const
bool | isInterlaced () const
bool | isTransformed () const
int | transformOrientation () const
int | memoryNeeded (const QString &)
int | sharedRamSize (void *)
void | haltUpdates ()
void | resumeUpdates ()
void | exposeRegion (QRegion r, int changing)
void | blit (const QImage &img, const QPoint &topLeft, const QRegion &region)
void | solidFill (const QColor &color, const QRegion &region)
void | setDirty (const QRect &)
QWSWindowSurface * | createSurface (QWidget *widget) const
QWSWindowSurface * | createSurface (const QString &key) const
QList< QScreen * > | subScreens () const
QRegion | region () const

## Constructor & Destructor Documentation

QProxyScreen | ( | int | display_id,
|  | ClassId | = `ProxyClass`
| ) |  |

~QProxyScreen | ( |  | ) |

## Member Function Documentation

void setScreen | ( | QScreen * | screen | ) |

Search for all occurrences

QScreen* screen | ( |  | ) | const

Search for all occurrences

QSize mapToDevice | ( | const QSize & | s | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QSize mapFromDevice | ( | const QSize & | s | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QPoint mapToDevice | ( | const QPoint & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QPoint mapFromDevice | ( | const QPoint & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QRect mapToDevice | ( | const QRect & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QRect mapFromDevice | ( | const QRect & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QRegion mapToDevice | ( | const QRegion & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QRegion mapFromDevice | ( | const QRegion & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

bool connect | ( | const QString & | displaySpec | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

Reimplemented in QTransformedScreen.

bool initDevice | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

void shutdownDevice | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void disconnect | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

void setMode | ( | int | width,
|  | int | height,
|  | int | depth
| ) |  | `[virtual]`

Search for all occurrences

Implements QScreen.

bool supportsDepth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void save | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void restore | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void blank | ( | bool | on | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

bool onCard | ( | const unsigned char * |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

bool onCard | ( | const unsigned char * | ,
|  | ulong & | out_offset
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

bool isInterlaced | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

bool isTransformed | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

int transformOrientation | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

int memoryNeeded | ( | const QString & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

int sharedRamSize | ( | void * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void haltUpdates | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void resumeUpdates | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

void exposeRegion | ( | QRegion | r,
|  | int | changing
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

void blit | ( | const QImage & | img,
|  | const QPoint & | topLeft,
|  | const QRegion & | region
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

void solidFill | ( | const QColor & | color,
|  | const QRegion & | region
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

void setDirty | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

QWSWindowSurface* createSurface | ( | QWidget * | widget | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

QWSWindowSurface* createSurface | ( | const QString & | key | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

QList<QScreen*> subScreens | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

QRegion region | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

Reimplemented in QTransformedScreen.

The documentation for this class was generated from the following file:

- QtGui/qscreenproxy_qws.h

QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen
QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen QProxyScreen